Potíže s aktualizací Joomly současně s SP Page builder

daavid
20. říj 2019 22:51 #140960
Ahoj, nevím jak přesně postupovat.

Potřebuju aktualizovat joomlu a SP Page Builder (plus pár pluginů s tím spojené), ale při jakémkoliv pokusu dojdu do konce, že web mi totálně spadne.

Je tam verze 3.6.4 a nějaký historický SB P Builder (1.4). Pokud aktualizuji joomla na 3.9, admin mi spadne, protože s tím nekomunikuje starý SP P. B. Pokud nejdříve aktualizuji manuálně (automaticky to nejde) SP P B a pak Joomlu, admin a web sice jde, ale SP je totálně rozpadlý a hlavně nepracuje se starým obsahem co je na stránkách. Pokud dám obsah nový, nebo novou stránku, ani se nevytvoří. Zkrátka nefunguje. Samozřejmě s tím aktualizuji přidružené pluginy.

Zkoušel jsem to několikrát a různými postupy a kroky. Ale vždy jsem skončil nějakým neúspěchem a musel jsem obnovovat ze zálohy.

Má někdo radu, jak z toho ven? Díky moc! :)


Jo a SP Page Builder jsem instaloval nejnovější, zatím demo verzi. Pak se koupí plná, až to poběží, prý by to vadit nemělo.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Bong
20. říj 2019 23:47 #140961

I'm sorry, my responses are limited...you must ask the right questions.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Martin70
21. říj 2019 06:16 #140962
Ahoj. V dubnu jsem taky dělal ugrade webu kde jsem měl SPPB 1.0.6 a Joomla 3.6.4. Zkus postupně toto:

1/ aktualizace Joomla z 3.6.4 na 3.6.5, JCE z 2.5.31 na 2.6.33 (na 2.7.7 mi v tuto chvíli nešlo)
2/ aktualizace System Helix 3 Framework z 1.2 na 2.5.6, to samé Helix 3 Ajax

Aktuální stav: PHP 5.6.40, Joomla 3.6.5, PageBuilder 1.0.6

3/ Upgrade PageBuilder 1.0.6 na 1.4. Potom ugrade SPPB z 1.4 na 2.5.4. Potom upgrade z 2.5.4 na 3.0.2. Tady mi zmizel Column padding (ručně doplnit 10px), jinak web zůstal celkem OK.

4/ Upgrade PB z 3.0.2 na 3.1.1. V tuto chvíli upgrade na SPPB 3.4.7 NEJDE!!

5/ Udělat Upgrade Joomla 3.6.5 na 3.9.4. Server změnit na PHP 7.1.27. Upgrade SPPB z 3.1.1. na 3.4.7. Upgrade JCE z 2.6.33 na 2.7.7.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od daavid
21. říj 2019 21:43 - 21. říj 2019 21:56 #140967
Ahoj, díky! Dělal jsem dle postupu a dle technických požadavků bych měl vše splňovat. Dobral jsem se konce, podobně mi to už jednou dopadlo. SBPB je rozpadlý viz příloha. Vypadá tak starý obsah editace stránky, ale i nové. Nevíte co s tímto?

A když se dostanu nějak do editace té stránky přes nový take&drop nebo jka to nazývají, tak při uložení hodí chybu error 500. Už jsem zkoušel upravit nastavení htaces, dle jednoho postupu, ale bez výsledku.

Díky! :)
Přílohy:

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Martin70
23. říj 2019 05:39 #140971
Tak jedině vysledovat, ve kterém kroku se ten problém stane. Jestli už při aktualizaci SPPB z 1.4 na 2.5.4 nebo až na verzi 3, nebo po nějaké aktualizaci Joomla...

Já jsem se takhle postupně dostal z SPPB 1.0.4, Joomla 3.6.4 a PHP 5.6 až na SPPB 3.6.1, Joomla 3.9.10 a PHP 7.1 a snad kromě toho Column padding a Slide show (běželo ale nešlo editovat) se nic nestalo.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Bong
23. říj 2019 09:58 #140976
Pripadne i vyzkouset co v postupu castecne zminuje vyrobce:

- Opakovat instalaci vicekrat
- Rucne prepsat instalaci
- Rucne smazat nesmazane
- Opravit prava slozek a souboru
- Provadet upgrade na local

I'm sorry, my responses are limited...you must ask the right questions.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Martin70
23. říj 2019 10:09 #140978
A co šablona? Ta je aktuální? To je Joomshaper šablona? Pokud šablona není od Joomshaper, tak aby se tam něco nehádalo.

Jednou mi po aktualizaci Joomla a SPPB, ale bez aktualizace šablony (Tixon od Joomshaper) nešel Blog kategorie, tak jsem musel nahradit soubory blog.php, offline.php, component.php, error.php a index.php z nové šablony. Nebo samozřejmě nejlepší mít aktuální šablonu.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Martin70
23. říj 2019 10:13 - 23. říj 2019 10:14 #140979

Martin70 napsal:
1/ aktualizace Joomla z 3.6.4 na 3.6.5, JCE z 2.5.31 na 2.6.33 (na 2.7.7 mi v tuto chvíli nešlo)
2/ aktualizace System Helix 3 Framework z 1.2 na 2.5.6, to samé Helix 3 Ajax
3/ Upgrade PageBuilder 1.0.6 na 1.4. Potom ugrade SPPB z 1.4 na 2.5.4. Potom upgrade z 2.5.4 na 3.0.2.
4/ Upgrade PB z 3.0.2 na 3.1.1
5/ Udělat Upgrade Joomla 3.6.5 na 3.9.4. Server změnit na PHP 7.1.27. Upgrade SPPB z 3.1.1. na 3.4.7. Upgrade JCE z 2.6.33 na 2.7.7.


A ve kterém kroku to teda klekne?

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od daavid
26. říj 2019 11:09 #140985

Martin70 napsal:

Martin70 napsal:
1/ aktualizace Joomla z 3.6.4 na 3.6.5, JCE z 2.5.31 na 2.6.33 (na 2.7.7 mi v tuto chvíli nešlo)
2/ aktualizace System Helix 3 Framework z 1.2 na 2.5.6, to samé Helix 3 Ajax
3/ Upgrade PageBuilder 1.0.6 na 1.4. Potom ugrade SPPB z 1.4 na 2.5.4. Potom upgrade z 2.5.4 na 3.0.2.
4/ Upgrade PB z 3.0.2 na 3.1.1
5/ Udělat Upgrade Joomla 3.6.5 na 3.9.4. Server změnit na PHP 7.1.27. Upgrade SPPB z 3.1.1. na 3.4.7. Upgrade JCE z 2.6.33 na 2.7.7.


A ve kterém kroku to teda klekne?


Tak už jsem to nějak opravil, zkoušel jsem ten postup nějak jinak asi 2x a teď už je toto ok :) Jediné co ještě, tak to moc nespolupracuje se starým obsahem, konkrétně s accordions atd. V editoru se to staré nezobrazí a při vytváření je to jen kod jako textové pole. Předpokládám, že to bude potřeba aktualizovat šablona? Je to šablona flex a je tam verze 1.9. Jinak vše už mám aktuální a zdá se funkční.

díky!

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.